package com.fs.live.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.live.param.LiveStudentDataQueryParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.live.mapper.LiveStudentDataMapper;
import com.fs.live.domain.LiveStudentData;
import com.fs.live.service.ILiveStudentDataService;

/**
 * 直播间学员数据Service业务层处理
 * 
 * @author fs
 * @date 2025-03-11
 */
@Service
public class LiveStudentDataServiceImpl extends ServiceImpl<LiveStudentDataMapper, LiveStudentData> implements ILiveStudentDataService {
    @Autowired
    private LiveStudentDataMapper liveStudentDataMapper;
    /**
     * 查询直播间学员数据
     * 
     * @param liveId 直播间学员数据主键
     * @return 直播间学员数据
     */
    @Override
    public LiveStudentData selectLiveStudentDataByLiveId(Long liveId)
    {
        return baseMapper.selectLiveStudentDataByLiveId(liveId);
    }

    /**
     * 查询直播间学员数据列表
     * 
     * @param liveStudentData 直播间学员数据
     * @return 直播间学员数据
     */
    @Override
    public List<LiveStudentData> selectLiveStudentDataList(LiveStudentData liveStudentData)
    {
        return baseMapper.selectLiveStudentDataList(liveStudentData);
    }

    /**
     * 新增直播间学员数据
     * 
     * @param liveStudentData 直播间学员数据
     * @return 结果
     */
    @Override
    public int insertLiveStudentData(LiveStudentData liveStudentData)
    {
        return baseMapper.insertLiveStudentData(liveStudentData);
    }

    /**
     * 修改直播间学员数据
     * 
     * @param liveStudentData 直播间学员数据
     * @return 结果
     */
    @Override
    public int updateLiveStudentData(LiveStudentData liveStudentData)
    {
        return baseMapper.updateLiveStudentData(liveStudentData);
    }

    /**
     * 批量删除直播间学员数据
     * 
     * @param liveIds 需要删除的直播间学员数据主键
     * @return 结果
     */
    @Override
    public int deleteLiveStudentDataByLiveIds(Long[] liveIds)
    {
        return baseMapper.deleteLiveStudentDataByLiveIds(liveIds);
    }

    /**
     * 删除直播间学员数据信息
     * 
     * @param liveId 直播间学员数据主键
     * @return 结果
     */
    @Override
    public int deleteLiveStudentDataByLiveId(Long liveId)
    {
        return baseMapper.deleteLiveStudentDataByLiveId(liveId);
    }

    @Override
    public List<LiveStudentData> queryStudentData( LiveStudentDataQueryParam param) {

        return liveStudentDataMapper.queryStudentData(param);
    }
}
